﻿@charset "utf-8";




/*CSSスライドショー設定
---------------------------------------------------------------------------*/


/*１枚目*/
@keyframes slide1 {
	0% {opacity: 0;}
	10% {opacity: 1;}
	20% {opacity: 1;}
	30% {opacity: 0;}
	100% {opacity: 0;}
}


/*２枚目*/
@keyframes slide2 {
	0% {opacity: 0;}
	20% {opacity: 0;}
	30% {opacity: 1;}
	40% {opacity: 1;}
	50% {opacity: 0;}
	100% {opacity: 0;}
}


/*３枚目*/
@keyframes slide3 {
	0% {opacity: 0;}
	40% {opacity: 0;}
	50% {opacity: 1;}
	60% {opacity: 1;}
	70% {opacity: 0;}
	100% {opacity: 0;}
}



/*４枚目*/
@keyframes slide4 {
	0% {opacity: 0;}
	60% {opacity: 0;}
	70% {opacity: 1;}
	80% {opacity: 1;}
	90% {opacity: 0;}
	100% {opacity: 0;}
}

/*mainimg
---------------------------------------------------------------------------*/


/*画像ブロック

*/
#mainimg {
	clear: left;
	width: 100%;
	position: relative;
	margin-bottom: 3%;
	-webkit-box-shadow: 2px 2px 5px rgba(0,0,0,0.3);	/*影の設定。右へ、下へ、ぼかし幅。rgbaは色設定で0,0,0は黒。0.3は透明度30%の事。

*/
	box-shadow: 2px 2px 5px rgba(0,0,0,0.3);			
/*同上*/
}


/*３枚画像の共通設定

*/
#slide1,#slide2,#slide3,#slide4 {
	-webkit-animation-duration: 30s;	
/*実行する時間。「s」は秒の事。

*/
	animation-duration: 30s;			
/*同上

*/
	-webkit-animation-iteration-count:infinite;	
/*実行する回数。「infinite」は無限に繰り返す意味。

*/
	animation-iteration-count:infinite;			
/*同上

*/
	position: absolute;left:0px;top:0px;width: 100%;height: auto;
	-webkit-animation-fill-mode: both;
	animation-fill-mode: both;
}

/*土台画像

*/
#slide0 {
	position: relative;width: 100%;height: auto;
}


/*１枚目

*/
#slide1 {
	-webkit-animation-name: slide1;	
/*上で設定しているキーフレーム（keyframes）の名前

*/
	animation-name: slide1;			
/*同上

*/
}


/*２枚目

*/
#slide2 {
	-webkit-animation-name: slide2;	
/*上で設定しているキーフレーム（keyframes）の名前

*/
	animation-name: slide2;			
/*同上

*/
}


/*３枚目

*/
#slide3 {
	-webkit-animation-name: slide3;	
/*上で設定しているキーフレーム（keyframes）の名前

*/
	animation-name: slide3;			
/*同上

*/
}


/*４枚目

*/
#slide4 {
	-webkit-animation-name: slide4;	
/*上で設定しているキーフレーム（keyframes）の名前

*/
	animation-name: slide4;			
/*同上

*/
}
